GNU bug report logs - #42356
28.0.50; [patch] cperl-mode: (cperl-write-tags) fails

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Harald Jörg <haj@HIDDEN>; Keywords: patch fixed; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.1, send any further explanations to 42356 <at> debbugs.gnu.org and Harald Jörg <haj@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 42356 <at> debbugs.gnu.org:


Received: (at 42356) by debbugs.gnu.org; 5 Aug 2020 13:39:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 05 09:39:40 2020
Received: from localhost ([127.0.0.1]:50392 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k3Jdo-0005rG-Jo
	for submit <at> debbugs.gnu.org; Wed, 05 Aug 2020 09:39:40 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41236)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k3Jdb-0005qe-61
 for 42356 <at> debbugs.gnu.org; Wed, 05 Aug 2020 09:39:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=gWy3twnnJ3Akz3AomgmU68K7kbzNYgeo05y0CNxeE24=; b=HMhZN8sJYAU10+EIlenXRxPdoj
 NX3AS/A8dwleJpuoyv0JAjv7nFu21P1IaMFl1q40XOwUn6SlxzwM9OzxDgriPUri5JCrMrtkLt/wu
 Hm5LwhrtdeUeZdlALh2qv0dk7kkV3r1IVGvtpKEfHayFYl3cBAgCkDKuoHNX3Wx5Tq58=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k3JdR-0005BG-6q; Wed, 05 Aug 2020 15:39:16 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Harald =?utf-8?Q?J=C3=B6rg?= <haj@HIDDEN>
Subject: Re: bug#42356: 28.0.50; [patch] cperl-mode: (cperl-write-tags) fails
References: <faa1048b-74ae-2334-35fa-cf23cae8f734@HIDDEN>
Date: Wed, 05 Aug 2020 15:39:11 +0200
In-Reply-To: <faa1048b-74ae-2334-35fa-cf23cae8f734@HIDDEN> ("Harald
 =?utf-8?Q?J=C3=B6rg=22's?=
 message of "Tue, 14 Jul 2020 17:22:45 +0200")
Message-ID: <87d0456wlc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Harald Jörg <haj@HIDDEN> writes: > This fails with "cond:
    Buffer is read-only: #<buffer TAGS>". > > I *guess* this is related to recent
    changes in etags.pl which need to be > accomodated for in cperl-mode. The
    function works fine in [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42356
Cc: 42356 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Harald J=C3=B6rg <haj@HIDDEN> writes:

> This fails with "cond: Buffer is read-only: #<buffer TAGS>".
>
> I *guess* this is related to recent changes in etags.pl which need to be
> accomodated for in cperl-mode.  The function works fine in Emacs 26.1
> (as available in Debian Buster.
>
> Attached is a one-line fix, but I am unsure whether this is the right
> way to deal with it.

I'm not very familiar with the code here, but it makes sense to me.
Applied to Emacs 28.

> Note 2: No need to remind me of copyright paperwork:  I've sent
>         the form to assign@HIDDEN on July 02, and pinged them
>         again on July 13.

And according to the copyright.list file, the paperwork has gone
through.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42356; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Jul 2020 15:22:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 14 11:22:53 2020
Received: from localhost ([127.0.0.1]:51358 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jvMlh-0001O3-1t
	for submit <at> debbugs.gnu.org; Tue, 14 Jul 2020 11:22:53 -0400
Received: from lists.gnu.org ([209.51.188.17]:54002)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <haj@HIDDEN>) id 1jvMlf-0001Nt-Go
 for submit <at> debbugs.gnu.org; Tue, 14 Jul 2020 11:22:52 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:40974)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <haj@HIDDEN>) id 1jvMlf-0004k1-Ak
 for bug-gnu-emacs@HIDDEN; Tue, 14 Jul 2020 11:22:51 -0400
Received: from mout02.posteo.de ([185.67.36.66]:47061)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <haj@HIDDEN>) id 1jvMld-0001Tf-9I
 for bug-gnu-emacs@HIDDEN; Tue, 14 Jul 2020 11:22:51 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout02.posteo.de (Postfix) with ESMTPS id 8D9652400FD
 for <bug-gnu-emacs@HIDDEN>; Tue, 14 Jul 2020 17:22:46 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.de; s=2017;
 t=1594740166; bh=7WduTje/HLFu85Y2CjqsFgQtZxdBSay/XMtcHDbdQ30=;
 h=To:From:Subject:Autocrypt:Date:From;
 b=LuAxDjEkleAwEz8tNMT719kqb+CEkCJZ97FaYIwkKCSnuXHPjgvBjGDBoUfBUDk98
 v2RlnInA6DSs5E0zQVPE6Ed7fkph+RgYTTPgInMdWT1em+M+5fjEmIG6mHU4v0lqkm
 Ocbeh/H/gDI1LkyDhQ2BEbiR9v2RxQfQxrSkvrah3ePSGCGFJLc0EFtAZtzq+v54OT
 89wtV7IqJvDwkqZtRQJDjJuUxTDUy+XZZMunnMH1sIThp/J2HkvNT3MnxYUxPLbdTP
 VKE2bRAtfqnwAskP8JsWN+3pTFfPaFM3K/KPYknMPt5+KDfHJOdA484bPQRsOfe7by
 N5WKOzBK/l79g==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4B5km56cvvz6tmM
 for <bug-gnu-emacs@HIDDEN>; Tue, 14 Jul 2020 17:22:45 +0200 (CEST)
To: bug-gnu-emacs@HIDDEN
From: =?UTF-8?Q?Harald_J=c3=b6rg?= <haj@HIDDEN>
Subject: 28.0.50; [patch] cperl-mode: (cperl-write-tags) fails
Autocrypt: addr=haj@HIDDEN; keydata=
 mQINBF0DVrIBEAC7TRlIilBg/5Dx7R2rV4FBDEavbyMT2cS2wWyksh7JA8e17LNmTdakf+Bm
 u6C2m6+frolteYRlkreoyAg0fj/5tDw/s5dJDw3tM0b+m/pj2HcwTSRpQSEy5lBiCg11E6Mt
 F9UngCfkGtJzu8PBWXc1RDQVBwRn5MZbpMZZatE8NOq9AA3Yg6sY11Ez3xIvYU2R7a4OSxmc
 RJV2+dhdQ4oOTBIGQ2urQSU81kyRtkx+/Yh8WefMrk9nF3nzYziLS53euCAXyzklwYmD6Li3
 XSu7wYp5fISky9DK6DPFK7h4RXEL4GFAhy31ehrVnNTcGRohM1Dm9BV9dwXkwlaeT3q0X+nE
 SXVqPDHtv748bXNIg2WVCZ0WgShcA46XVlSE9Fm+w0HI/1m1L4BaMmQ7gyK5dEchbhxohkk0
 AqC3hEJ4ULRidrsCoCWGMFKiOIb9rjeC00vhrUkVJDkPWEGLXjhnRQykb6cESko0rPrSDLqX
 9YqaNQ6KO9Un6uogE7YnXYg35EXJ8ORdX257IbXNbFVpgM8FFsl48WV3Pl9WNdADhnnOrz3O
 wzyK58i/BTsnjVX8ghbWkQcPQ2Kprt+4YR2trEi7TM5Uqzzrg0vp7Oe/9KZBxdxCE67thV7h
 ElW3CHb4q6o31b4cFmLbtFesSy+hnUU4UymgHgi/hvhxioBxIQARAQABtBxIYXJhbGQgSsO2
 cmcgPGhhakBwb3N0ZW8uZGU+iQJOBBMBCAA4FiEEIpYEZLQynxF8Q17KN4XzzzqAcpsFAl0D
 VrICGwMFCwkIBwIGFQgJCgsCBBYCAwECHgECF4AACgkQN4XzzzqAcpv0Lw/9H0KfYwkBY1jO
 aE8gBIP7cUGytufW9Kp2o8LsvwvVSq33q7oZANndaEfGV6aaUSATfTYG9PwHNgVY376qyEq8
 n8Gfi5IUmBMsD3ofi7eEcgk6jqNzXXTLm5HNPuqMvi2RPUzn9nR+3f4Vax1je6XEn5oL+ow3
 2nIFgBSRUby/YA5jgu1peZibYwCd9CBJAAoufBFo7GfgSygBWevGWL8Zv6m5lybPIxHUBuhw
 18ZAU218lf+SexwMAy9ULh0K6hTZeLHiIqigIvu1+mz3pql869n7GC00PZIXtDY+s0VEulUZ
 7S8ZVJKTpGv4lrunQ3JydBYt+0pLp5cgioF+3aKPaAsWQizeuLp6nGXNbrneXMlbqEOsdKvV
 NTAKy7sBFH73/brkrWn9LF80oP9ekeO7PVLYLPHmW7Ra2nC8I6R9t5my6V8fBnvqeJt+lQQP
 S0srdPdSJFgmbdBFj+89rVdAg43HkqNpcc8bRUKvBT8UfXmvJ/OPDCVGm2hhoU/nCDrE+nsv
 ZIBnj0SrvkDTZOsrHFyAMgqX4/Zw/RD8B3IjJA4F5aU9kfgT9vjhnstl/oNNbDUceB4rYVoi
 f9oLEEY7KMUgL303JgrgBq7Shtvv0NNqcZb1nefMC4krNZpMHW257PwhIgz1Ofl/38yNguKh
 r4Hl40J3cCOwNxnnyAWaE5m0DWhhakBwb3N0ZW8uZGWJAk4EEwEKADgWIQQilgRktDKfEXxD
 Xso3hfPPOoBymwUCXWzAvgIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRA3hfPPOoBy
 m1LuEACVTqDi5AtVFzaUpVo9spdwoPKpZmXM7WK3MHIQ0gpwDEj0E2lJVBG9qqo1IPumnqwf
 lH5FY8gS+iT8lknGB4VyCNOefPm3v8dOnWqFi26lodspkWGFOcFw4Nx0vuF+nNGWZyQOkT1T
 +OOOUeyF7Vd4pdJr3EoTZ9aQyH5p1GSmlMuV8PqD7wCIWKwKQQl7N2lqgALfESK5ImBv3AKe
 A/5jiRRy3DZBAvop/IyTmq6k9rrmwHu6HHkPmubLqpncrYPdUOy1Qp2jsY7FBL0as/XU6JSe
 X0mAK/SJtPRV5tJlJXEZS+x/1yiBaRhjWFLyRWyKOo6Z2ehGrtuKCo3IbsJvvQBRtQP5LWzY
 md0/Ac1FlCrKoLXoW8E3+cjNZQNiulrE0uq/+VDgAbPeCG1xKnlgocd8CvCeUzIc6u0/wiv/
 9NJCJSx6eCocBAP5SgGv4V4GgMBXT66iaQu6D14ErwjPAXFHYbRXZY9ApAvjvaocLRFXuy5S
 9mrfS84kvOiCtDcN63xeTFhlv/ztZzB1s+qiLj9QcdQcdVEGhCIb+WPpyWMg4zwuKPn6Ov+s
 O1siqS5owNCxsLui1b5qAoeQHh408ziVr1I7p3nrbdiJJxp0BqzFClR3KGBKJI8H7nd4NQuS
 tgWj8vM2j54pkzYDQGXZFahXwK1jH8SheQ7R98FT87kCDQRdA1ayARAAooZdrnmvf4HaJTL9
 nfDGTCM0iNUttovG5VQPUXUI70eaeAr+PM0C8NvVKNdsy/RRlX+Om95dg4CmYrM32DDuinIB
 c0gLAS6RKKYHe5fo2Ez3IQWqNAjGyfIC1v0D9lxwLhyf0CY+1CvKyigqgQFekGXyQV8t8FMO
 B+Uvu1hRc6UQVMtzEsNpYsxMpZAChakVcD4B5ZSn995TSXt1EEyeX5wU/40Omph1zz4sn0DW
 fUczVwbh2ElLbs54PyQyCSB/UkeYyqxU9wefpd9mrsRqWYJMPrrFu1/W4uocrH1W0ObZncFV
 29g3JNKR3bGVCxhAYGODND2z5hDCxSDWaUJ074K76YqrSEBv/tQzr1N/f5uWPCOJXX69edie
 whRMBA5Gwja4s2qsKGjSxxgFuIPdyoo4+soaHPdLRMjGn7Qyh8zihw4KolQ3chXgCDsRiPu7
 E3QNfWJMKB0ebQCa4CK5rB8HGEWFMJNI3E+UbZoe1CrnOSBdd/Rv4ED5HPw69rbUddQSuLF7
 A12LqPQjuK+ZeI9MHYEBIq8pRzUGJJmDmJ3cOf9GaF5esfweidTNo3CEiSKkB7ccBSoOWECm
 KTGKlsraFnpps68wlz8UMwNEvumG4JZwmTa10qj7PDu/W0H6nH3egWbrfqUh29kspVrlfoqE
 20EPCcUtCaayB3lZdLsAEQEAAYkCNgQYAQgAIBYhBCKWBGS0Mp8RfENeyjeF8886gHKbBQJd
 A1ayAhsMAAoJEDeF8886gHKbPZ8QAI16XfXtSGcMDjm5/2M0qLNTpCcPCVGbKlWdshJPt9gH
 QcQKHXrHEl4kTdBFB15LzHIqfcjbhMxdxEPqU+3wpz9UVIEUHQ+9+sFMU79CXGCPMOz6bo44
 UXo4bbe0AdX7pLmdZnYce+wAlUEYlzBgf+5tA62RqgB4/kDgk8TX9LZKpxUp5zUhUTac6o2b
 NVhf77jFz/gGSEdo9DFxXyZOnvW5sy71cSXaYvecCX4Zkt1PIt6Je8FPrZB18m7204/5abHA
 FcekJd+WfxbLBpiidIsPqEGhjQuH3NE7A/YIYcYno0gasjjOl9voOgF63gWq0rU9DXPYzAEo
 T0X5U61d1MieiGzszbnAiFjuiCPOgEAZ5UOG1jgk0brXOGXcB6uLUKXdHY/Hew2Qw2UN4jsF
 qgaVHmgokTr0ml7VVP2x/QTsFB7+mCbJvKIy7wuaRUN8/YELIrcBo9TlZbHFhQuF/nUloLFy
 qWfnjERPf3F15raGx0mGtxyYmgjRGAmtn11fNUrvrPxvbrVOWq7kcSukdtHavH3J6VBv+8kd
 YFQMaa1HVZ6Fhp50GYB+zZ29C7gtNIe0rn59xAcsBab/TyNjpG4BP4D0oGCl0+TTgzNIemji
 AsnleF4J+/xNczT+QQusHYtByZ6FRWqKPxLl3NE9h5e4Uy5QpwXCCI97ZA248Hmp
Message-ID: <faa1048b-74ae-2334-35fa-cf23cae8f734@HIDDEN>
Date: Tue, 14 Jul 2020 17:22:45 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.10.0
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="------------556688593F3377E74C6B94B0"
Content-Language: en-US
Received-SPF: pass client-ip=185.67.36.66; envelope-from=haj@HIDDEN;
 helo=mout02.posteo.de
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/07/14 10:28:20
X-ACL-Warn: Detected OS   = Linux 3.11 and newer
X-Spam_score_int: -43
X-Spam_score: -4.4
X-Spam_bar: ----
X-Spam_report: (-4.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_MED=-2.3, RCVD_IN_MSPIKE_H3=-0.01, RCVD_IN_MSPIKE_WL=-0.01,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 URIBL_BLOCKED=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

This is a multi-part message in MIME format.
--------------556688593F3377E74C6B94B0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit

How to reproduce:

1) Open a file with arbitrary Perl code, for example like that:
   ----
   package Tag::It;

   sub bark {
       say 'woof!';
   }
   ----
2) M-x cperl-mode
3) From the menu, Perl->Tools->Tags->Create tags for current file
   (or any other entry which creates tags from the same submenu)

This fails with "cond: Buffer is read-only: #<buffer TAGS>".

I *guess* this is related to recent changes in etags.pl which need to be
accomodated for in cperl-mode.  The function works fine in Emacs 26.1
(as available in Debian Buster.

Attached is a one-line fix, but I am unsure whether this is the right
way to deal with it.

Note 1: As a workaround one could of course use cperl-etags
        (which is an interactive function), but this is also
        broken, albeit in a different way.  Already reported
        as (bug#42355).

Note 2: No need to remind me of copyright paperwork:  I've sent
        the form to assign@HIDDEN on July 02, and pinged them
        again on July 13.

In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, Xaw
scroll bars)
 of 2020-07-07 built on hajtower
Repository revision: 6b80ff3c465f87a31ccaaf41b2b521075f43632d
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
System Description: Debian GNU/Linux 10 (buster)

Recent messages:
Quit [2 times]
Making completion list... [2 times]
Auto-saving...done
<left-fringe> <mouse-1> is undefined [2 times]
Mark set [2 times]
Auto-saving...
Beginning of buffer [4 times]
user-error: Beginning of history; no preceding item
user-error: End of history; no default available [3 times]
completing-read-default: Command attempted to use minibuffer while in
minibuffer

Configured features:
XPM JPEG TIFF GIF PNG SOUND NOTIFY INOTIFY GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS LUCID X11 XDBE XIM MODULES THREADS PDUMPER GMP

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Help

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(pp shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs
rfc822 mml mml-sec password-cache epa epg epg-config gnus-util rmail
rmail-loaddefs text-property-search mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils apropos mule-util
misearch multi-isearch bug-reference cl-extra seq cl-print cus-edit
wid-edit cus-start cus-load thingatpt help-fns radix-tree help-mode
perl-mode time-date subr-x vc-git diff-mode easy-mmode cperl-mode
derived info man ansi-color etags fileloop generator xref cl-seq project
eieio byte-opt bytecomp byte-compile cconv eieio-core cl-macs gv
eieio-loaddefs ring easymenu imenu cl-loaddefs cl-lib tooltip eldoc
electric uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win
x-win term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads inotify dynamic-setting x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 133165 14283)
 (symbols 48 10626 1)
 (strings 32 36309 2069)
 (string-bytes 1 1030321)
 (vectors 16 17217)
 (vector-slots 8 293029 19492)
 (floats 8 56 44)
 (intervals 56 1604 21)
 (buffers 992 21))

--------------556688593F3377E74C6B94B0
Content-Type: text/x-patch; charset=UTF-8;
 name="0001-cperl-mode-Workaround-for-failure-of-cperl-write-tag.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename*0="0001-cperl-mode-Workaround-for-failure-of-cperl-write-tag.pa";
 filename*1="tch"

From 5d04d7a123e53c5c9e141a2b94e6a9b532bbe4d2 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Harald=20J=C3=B6rg?= <haj@HIDDEN>
Date: Tue, 14 Jul 2020 16:40:04 +0200
Subject: [PATCH] cperl-mode: Workaround for failure of cperl-write-tags

---
 lisp/progmodes/cperl-mode.el | 1 +
 1 file changed, 1 insertion(+)

diff --git a/lisp/progmodes/cperl-mode.el b/lisp/progmodes/cperl-mode.el
index cdbb59a5ad..6755d10f1a 100644
--- a/lisp/progmodes/cperl-mode.el
+++ b/lisp/progmodes/cperl-mode.el
@@ -6786,6 +6786,7 @@ cperl-write-tags
   (or topdir
       (setq topdir default-directory))
   (let ((tags-file-name "TAGS")
+        (inhibit-read-only t)
 	(case-fold-search nil)
 	xs rel)
     (save-excursion
-- 
2.20.1


--------------556688593F3377E74C6B94B0--




Acknowledgement sent to Harald Jörg <haj@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#42356; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 5 Aug 2020 13:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.